% dati [a b], y(a), f(x,y), n, calcola la soluzione di un
% problema di Cauchy con Eulero esplicito
%
% in uscita ci sono le ascisse dei nodi e i valori
% della soluzione
%
function [x,eta]=eulesp(a,b,y0,f,n)
h=(b-a)/n;
eta=zeros(1,n+1);
eta(1)=y0;
x=(a:h:b);
for i=1:n
    eta(i+1)=eta(i)+h*f(x(i),eta(i));
end
plot(x,eta,'-o');
