% programma che studia l'ordine di convergenza
% per l'interpolazione equispaziata
n=2:20;
nn=length(n);
yn=n;
f=@(x) sin(x);
a=0; b=2*pi;
iplot=0;
for i=1:nn
    x=linspace(a,b,n(i)+1);
    if i==nn
        iplot=1;
    end
    [yf yp]=lagrange(x,f,iplot,1);
    yn(i)=norm(yf-yp,inf);
end
figure(2)
clf
set(2,'defaultlinelinewidth',3)
set(2,'defaultaxesfontsize',15)
semilogy(n,yn)
