function [x,iter,err]=tang(x0,a,b,fun,dfun,nmax,tol)
%
% in ingresso: x0,a, b per il grafico
%              fun, dfun, nmax, tol (sia per residuo che per incremento)
% in uscita: x (lo zero), iter, err (il residuo)
%
figure(1)
clf
set(1,'defaultlinelinewidth',3)
set(1,'defaultlinemarkersize',10)
set(1,'defaultaxesfontsize',15)
fplot(fun,[a b])
hold on;
plot([a b],[0 0],'g')
%
iter=0;
x=x0;
while iter<nmax
  fx=fun(x);
%
  plot([x x],[0 fx],'c')
  pause
%
  err=abs(fx);
  if err<tol
    break;
  end
  dfx=dfun(x);
  delta=-fx/dfx;
%
  plot([x x],[0,fx],'r')
  plot([x x+delta],[fx 0],'r')
%
  x=x+delta;
  if abs(delta)<tol
    break;
  end
  iter=iter+1;
end
